import java.util.ArrayList;
import javafx.scene.paint.*;
import javafx.scene.canvas.*;


public class MyCanvas extends Canvas  {

    private static int MAX=700;
    private Middleware middleware=null;


    ArrayList<MyGrfObject> grafikliste=null;

    public MyCanvas(String filename) {
       super(1000,1000);
       this.middleware = new Middleware();
      middleware.readFile(filename);

       this.grafikliste =middleware.getGrafikliste();
    }

    public String getFilename() {
      return middleware.getFilename();
    }

    public void draw() {
        GraphicsContext gc = this.getGraphicsContext2D(); 
        gc.beginPath();
        gc.setFill(Color.WHITE);
        gc.clearRect(0,0, MAX, MAX);
        for (MyGrfObject gobj : grafikliste) {
         //    System.out.println("paint: draw");
           gobj.draw(gc);
        } // for
       gc.setStroke( Color.BLACK );
       gc.setLineWidth( 1 );
       gc.strokeLine(middleware.getWidth(),0,middleware.getWidth(),middleware.getHeight()) ;
       gc.strokeLine(middleware.getWidth(),middleware.getHeight(), 0,middleware.getHeight()) ;


     }  // paint

}  // class MyCanvas extends Canvas  {
