import java.io.*;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.*;


public class MyCircle extends MyGrfObject {
    private int x;
    private int y;
    private int r;

     // Construktor
     public MyCircle()  {
        x=1;
        y=1;
        r=2;
        c = Color.rgb(0, 0, 255) ;   //  (Color.blue);
     }


    
    public void draw(GraphicsContext gc) {
        gc.setStroke( c );
        gc.setLineWidth( linewidth );
        gc.strokeOval(x-r,y-r,  r+r,r+r);
    }

    public boolean loadFromData(DataInputStream din)  {
    try {
        int color;
        x = din.readInt();
        if (x<0) return false;      
        y = din.readInt();
        if (y<0) return false;      
        r = din.readInt();
        if (r<0) return false;      

        color = din.readInt();  // rgb
        int r=(color&0xFF0000)>>16;
        int g=(color&0xFF00)>>8;
        int b=(color&0xFF);
        c = Color.rgb(r,g,b);  
        linewidth = din.readInt();
        if (linewidth<0) return false;      
        return true;
  }
   catch (IOException ee) {
       return false;
    }
    }  // LoadFromData



  }  // class  MyCircle