import java.io.*;

public class MyHeader {
	  private static short VERSION = 1;
	  private static short FILEID = (75 << 8) +73;  // KI 19273  KI  75 70  K

	  private String filename;
	          short  fileID=0;
	          short  version=0;
	          int    width=0;  // 32 Bit
	          int    height=0;


	  public MyHeader() {
	    short i;
	    
	    setFileID( FILEID );  // 71 70
	    i = VERSION;
	    setVersion( i );
	    setWidth( 100);
	    setHeight( 100);
	  }

	  // Methoden der Attribute

	  public void setFileID( short fileID) {
	    this.fileID = fileID;
	  }
	  public short getFileID() {
	    return fileID;
	  }



	  public void setVersion( short version) {
	    this.version = version;
	  }
	  public short getVersion() {
	    return version;
	  }


	  public void setWidth( int width) {
	    this.width = width;
	  }
	  public int getWidth() {
	    return width;
	  }

	  public void setHeight( int height) {
	    this.height = height;
	  }
	  public int getHeight() {
	    return height;
	  }

	 
	  public boolean loadFromData(DataInputStream din) throws IOException {
	    short s;
	    short b1, b2;
	    int i;
	      //b1 = (short)din.readByte();  // FileID
	      //b2 = (short)din.readByte();  // FileID
	      s = din.readShort();  // FileID
	      // s  = 11;  GF
	      if (s != FILEID) {
	        Basis.errorBox("Modul GDI: Fehler in der Dateikennung","Hinweis");
	        return false;
//	        throw new IOException("Modul GDI: Fehler in der Dateikennung");
	      }
	      setFileID(s);
	      s = din.readShort();
	      if (s != VERSION) {
	        Basis.errorBox("Modul GDI: Fehler in der Version","Hinweis");
	        return false;
	        //throw new IOException("XModul GDI: Fehler in der Version");
	      }

	      i = din.readInt();
	      if (i <=0) {
	        Basis.errorBox("Modul GDI: Fehler in der Breite (negativ)","Hinweis");
	        return false;
	        //throw new IOException("Modul GDI: Fehler in der Breite");
	      }
	      setWidth(i);

	      i = din.readInt();
	      if (i <=0) {
	        Basis.errorBox("Modul GDI: Fehler in der Hoehe (negativ)","Hinweis");
	        return false;
	        //throw new IOException("Modul GDI: Fehler in der Hoehe");
	      }
	      setHeight(i);
	      return true;
	  }  // LoadFromData
	  
	    
	}   // MyHeader