import java.io.*;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.*;


public class MyPolyline extends MyGrfObject {
	  private  double x[];
	  private  double y[];
	  private  int anz;


	   // Construktor
	     public MyPolyline()     {
	     }

	     public MyPolyline(int anz)     {
	       setAnz(anz);
	      c = Color.rgb(0, 255, 255) ;  
	     }

	

	  public void draw(GraphicsContext gc) {
	    gc.setStroke( c );
	    gc.setLineWidth( linewidth );
	    gc.strokePolyline(x,y, anz  );
	  }

	  public int getAnz() {
	     return anz;
	  }
	     
	  public boolean loadFromData(DataInputStream din)  {
	     try {
	      int color;
	      int x,y;
	      int n;
	      n = din.readInt();
	      setAnz( n );
	      for (int i=0; i<n; i++) {
	        x = din.readInt();
	        if (x<0) return false;      
	        y = din.readInt();
	        if (y<0) return false;      
	        setxy(i, x, y);
	      }  // for
	      color = din.readInt();  // rgb
	      int r=(color&0xFF0000)>>16;
	      int g=(color&0xFF00)>>8;
	      int b=(color&0xFF);
	      c = Color.rgb(r,g,b);  
	      linewidth = din.readInt();
	      if (linewidth<0) return false;      
	      return true;
	   }
	    catch (IOException ee) {
	        return false;
	     }
	  }  // LoadFromData

	     public void setxy(int i, int x, int y) {
	       if ( (i>=0) && (i<anz) ) {
	         this.x[i] = x;
	         this.y[i] = y;
	       }
	     }

	     public void setAnz(int anz) {
	      this.anz = anz;
	       x = new double[anz];
	       y = new double[anz];
	     }


	}  // Polyline