import java.io.*;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.*;

public class MyRect extends MyGrfObject  {
	  private int x1;
	  private int y1;
	  private int x2;
	  private int y2;


	   // Construktor
	     public MyRect() {
	       x1=1;
	      y1=1;
	      x2=2;
	      y2=2;
	      c = Color.rgb(255,0,  0) ;  //  (Color.red);
	     }

	

	  public void draw(GraphicsContext gc) {
	     gc.setLineWidth( linewidth );
	     gc.setStroke( c );
	     gc.strokeRect(x1,y1, x2-x1, y2-y1 );
	  }

	  public boolean loadFromData(DataInputStream din)  {
	     try {
	      int color;
	      x1 = din.readInt();
	    System.out.println("read rect x1: "+x1);

	      if (x1<0) return false;      
	      y1 = din.readInt();
	    System.out.println("read rect y1: "+y1);
	      if (y1<0) return false;      

	      x2 = din.readInt();
	    System.out.println("read rect x2: "+x2);
	      if (x2<0) return false;      
	      y2 = din.readInt();
	    System.out.println("read rect y2: "+y2);
	      if (y2<0) return false;      

	      color = din.readInt();  // rgb
	      int r=(color&0xFF0000)>>16;
	      int g=(color&0xFF00)>>8;
	      int b=(color&0xFF);
	      c = Color.rgb(r,g,b);  
	      linewidth = din.readInt();
	      if (linewidth<0) return false;      
	    System.out.println("read rect true");

	      return true;
	   }
	    catch (IOException ee) {
	        return false;
	     }
	  }  // LoadFromData


	}  // class  Rect