import java.io.*;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.*;


public class MyTriangle extends MyGrfObject  {
	  private int x1;
	  private int y1;
	  private int x2;
	  private int y2;
	  private int x3;
	  private int y3;


	   // Construktor
	   public MyTriangle()   {
	       x1=1;
	      y1=1;
	      x2=2;
	      y2=2;
	      x3=3;
	      y3=3;
	      c = Color.rgb(0, 255, 0) ;  //  (Color.green);
	   }


	 
	  public void draw(GraphicsContext gc) {
	    gc.setStroke( c );
	    gc.setLineWidth( linewidth );
	    //g2.setStroke( new BasicStroke(4.0f) );
	    gc.strokeLine(x1,y1,x2,y2) ;
	    gc.strokeLine(x2,y2,x3,y3) ;
	    gc.strokeLine(x3,y3,x1,y1) ;
	  }

	  public boolean loadFromData(DataInputStream din)  {
	     try {
	      int color;
	      x1 = din.readInt();
	      if (x1<0) return false;      
	      y1 = din.readInt();
	      if (y1<0) return false;      

	      x2 = din.readInt();
	      if (x2<0) return false;      
	      y2 = din.readInt();
	      if (y2<0) return false;      

	      x3 = din.readInt();
	      if (x3<0) return false;      
	      y3 = din.readInt();
	      if (y3<0) return false;      

	      color = din.readInt();  // rgb
	      int r=(color&0xFF0000)>>16;
	      int g=(color&0xFF00)>>8;
	      int b=(color&0xFF);
	      c = Color.rgb(r,g,b);  
	      linewidth = din.readInt();
	      if (linewidth<0) return false;      
	      return true;
	   }
	    catch (IOException ee) {
	        return false;
	     }
	  }  // LoadFromData

	}  // class  MyTriangle