
import java.io.*;
import javafx.scene.canvas.*;
import javafx.scene.paint.*;

public class MyLine extends MyGrfObject {
	  private int x1;
	  private int y1;
	  private int x2;
	  private int y2;


	   // Construktor
	     public MyLine()   {
	       x1=1;
	       y1=1;
	       x2=2;
	       y2=2;
	       linewidth=1;
	       c = Color.rgb(0, 255, 0) ;  //  (Color.green);
	    }

	

	@Override
	  public void draw(GraphicsContext gc) {
	     gc.beginPath();

	     gc.setStroke( c );
	     gc.setLineWidth( linewidth );
	     gc.strokeLine(x1,y1,x2,y2) ;
	     gc.stroke();
	  }

	  public boolean loadFromData(DataInputStream din)  {
	     try {
	      int color;
	      x1 = din.readInt();

	      if (x1<0) return false;      
	      y1 = din.readInt();
	      if (y1<0) return false;      

	      x2 = din.readInt();
	      if (x2<0) return false;      
	      y2 = din.readInt();
	      if (y2<0) return false;      

	      color = din.readInt();  // rgb
	      int r=(color&0xFF0000)>>16;
	      int g=(color&0xFF00)>>8;
	      int b=(color&0xFF);
	      c = Color.rgb(r,g,b);  //      Color.web( color.toHexString(color))
	      linewidth = din.readInt();
	      if (linewidth<0) return false;      
	      return true;
	   }
	    catch (IOException ee) {
	        return false;
	     }
	  }  // LoadFromData

	

	}  // class  Line